#define git 20100315
Summary:	Storage Management Service
Name:		udisks
Version:	1.0.5
Release:	2
License:	GPLv2+
Group:		System/Libraries
Url:		http://www.freedesktop.org/wiki/Software/udisks
Source0:	http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
Patch0:		udisks-1.0.4-mount-internal-policy.patch
Patch1:		udisks-1.0.4-ru.po.patch
Patch2:		udisks-1.0.5-fix-daemon-path.patch
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	sg3_utils-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(devmapper)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libatasmart)
BuildRequires:	pkgconfig(libparted)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(lvm2app)
BuildRequires:	pkgconfig(polkit-agent-1)
BuildRequires:	pkgconfig(systemd)
# needed to pull in the system bus daemon
Requires:	dbus
# needed to pull in the udev daemon
Requires:	udev
Suggests:	mdadm
#gw not yet packaged:
# for smp_rep_manufacturer
#Requires: smp_utils >= %{smp_utils_version}
# for mount, umount, mkswap
Requires:	util-linux-ng
# for mkfs.ext3, mkfs.ext3, e2label
Requires:	e2fsprogs
# for mkfs.xfs, xfs_admin
Suggests:	xfsprogs
# for mkfs.vfat
Suggests:	dosfstools
# for mlabel
Requires:	mtools
# for mkntfs - no ntfsprogs on ppc, though
%ifnarch ppc ppc64
Suggests:	ntfsprogs
%endif
Requires(post,preun,postun):	systemd

# Obsolete and Provide DeviceKit-disks - udisks provides exactly the same
# ABI just with a different name and versioning-scheme
#
Obsoletes:	devicekit-disks <= 009
Provides:	devicekit-disks = 010

%description
udisks provides a daemon, D-Bus API and command line tools
for managing disks and storage devices.

%files -f %{name}.lang
%doc README AUTHORS NEWS COPYING HACKING doc/TODO
%{_sysconfdir}/avahi/services/udisks.service
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_sysconfdir}/profile.d/*.sh
/lib/udev/rules.d/*.rules
/lib/udev/udisks-part-id
/lib/udev/udisks-dm-export
/lib/udev/udisks-probe-ata-smart
/lib/udev/udisks-probe-sas-expander
/lib/udev/udisks-lvm-pv-export
/sbin/umount.udisks
%{_bindir}/*
%{_libexecdir}/udisks-daemon
%{_libexecdir}/udisks-helper*
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/dbus-1/system-services/*.service
%attr(0700,root,root) %dir %{_localstatedir}/lib/udisks
%{_unitdir}/udisks.service

%post
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ "$1" -ge 1 ]; then
/bin/systemctl enable udisksd.service >/dev/null 2>&1 || :
/bin/systemctl try-restart udisksd.service >/dev/null 2>&1 || :
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ "$1" -ge 1 ] ; then
/bin/systemctl try-restart udisksd.service >/dev/null 2>&1 || :
fi

%preun
if [ "$1" = "0" ]; then
/bin/systemctl --no-reload udisksd.service > /dev/null 2>&1 || :
/bin/systemctl stop udisksd.service > /dev/null 2>&1 || :
fi

#----------------------------------------------------------------------------

%package devel
Summary:	D-Bus interface definitions for udisks
Group:		Development/C
Requires:	%{name} = %{EVRD}
# See comment above
#
Obsoletes:	devicekit-disks-devel <= 009
Provides:	devicekit-disks-devel = 010

%description devel
D-Bus interface definitions and documentation for udisks.

%files devel
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/pkgconfig/udisks.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
#autoreconf -fi
%configure2_5x --disable-static --enable-lvm2
make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.a

# TODO: should be fixed upstream
chmod 0644 %{buildroot}%{_sysconfdir}/profile.d/udisks-bash-completion.sh

%find_lang %{name}

%changelog
* Tue Jul 29 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 1.0.5-2
+ Revision: e50bb44
- Do not change libexecdir to $(prefix)/lib/udisks in udisks.service
- udisks-daemon is placed to libexecdir by default. However, the Makefiles
- changed the path to look for it to $(prefix)/lib/udisks in
- udisks.service. This way, the path becomes incorrect and the service
- fails to start.
- Should now be fixed.


